Name:		msp430mcu
Version:	20120406
Release:	alt1_6
Summary:	Headers and linker scripts for MSP430 micro-controllers
Group:		Development/C
License:	BSD
URL:		http://mspgcc.sf.net/

Source0:	http://sourceforge.net/projects/mspgcc/files/msp430mcu/msp430mcu-%{version}.tar.bz2

# LTS patch from
# http://sourceforge.net/projects/mspgcc/files/mspgcc/mspgcc-20120406.tar.bz2
Patch0:		msp430mcu-%{version}-sf3522088.patch

# Add DESTDIR support -- patch submitted here:
# http://sourceforge.net/tracker/?func=detail&aid=3527433&group_id=42303&atid=432701
Patch1:		msp430mcu-destdir.patch

BuildArch:	noarch
Source44: import.info

%description
Headers and linker scripts for the Texas Instruments MSP430 range of
micro-controllers.  These headers provide the location of all the
special function registers of the micro-controllers.  The linker
scripts provide the mapping of those registers into memory as well as
information on where code should be loaded.

%prep
%setup -T -q -b 0
%patch0 -p1
%patch1 -p1


%build
# No build to do


%install
MSP430MCU_ROOT=`pwd` DESTDIR=%{buildroot} ./scripts/install.sh %{_prefix}

%files
%doc COPYING

%dir %{_prefix}/msp430/include
%dir %{_prefix}/msp430/lib
%dir %{_prefix}/msp430/lib/ldscripts

%{_prefix}/msp430/include/*
%{_prefix}/msp430/lib/ldscripts/*
%{_prefix}/msp430/lib/msp430mcu.spec
%{_bindir}/msp430mcu-config


%changelog
* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 20120406-alt1_6
- update to new release by fcimport

* Sat Feb 09 2013 Igor Vlasenko <viy@altlinux.ru> 20120406-alt1_5
- initial fc import

